System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection System.ICloneable

The collection contains a collection of objects. A object is used internally as the class that represents metadata about an individual configuration property.

Contains a collection of objects.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds a object to the collection.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all objects from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Creates a copy of the existing collection.

  A class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies this object to an array.

  The array to copy the object to. The index at which to begin copying.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets a value that specifies the number of objects in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Gets the object as it applies to the collection.

  The object as it applies to the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to the collection is synchronized (thread safe).

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsProperty `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Performs additional, custom processing when adding to the contents of the instance.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Performs additional, custom processing after adding to the contents of the instance.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Performs additional, custom processing when clearing the contents of the instance.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Performs additional, custom processing after clearing the contents of the instance.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Performs additional, custom processing when removing the contents of the instance.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Performs additional, custom processing after removing the contents of the instance.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes a object from the collection.

  The name of the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  After the collection has been set to read-only, it can no longer be modified.

  Sets the collection to be read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets the object to synchronize access to the collection.